window.addEventListener("load" , function(){

    function translate (data){
        let targetTranslate = "";

        switch(data.value){
            case "Too weak":
                targetTranslate = "خیلی ضعیف";
            break;

            case "Weak":
                targetTranslate = "ضعیف";
            break;

            case "Medium":
                targetTranslate = "بدک نیست";
            break;

            case "Strong":
                targetTranslate = "حرف نداره";
            break;

            default:
                targetTranslate = "؟؟؟";
            break;
        }   

        data.value = targetTranslate;

        return data;
    }

    function checkStrongPassword(passwordCharacters){
        return translate(passwordStrength.passwordStrength(passwordCharacters));
    }

    function passwordCheckHandler(){
        const thisElement = this;
        const result = checkStrongPassword(this.value);

        const valueTargets = {
            "0" : "bg-danger too-bad-password",
            "1" : "bg-warning bad-password",
            "2" : "bg-primary text-white good-password",
            "3" : "bg-success text-white great-password",
        }

        const cssClass = valueTargets[result.id];

        passwordMonitor.setAttribute("class" , cssClass +" text-center shadow d-block p-2 rounded mb-3");
        passwordMonitor.textContent = result.value;
    }


    const password = document.getElementById("password");
    const passwordMonitor = document.getElementById("password-monitor");
    
    password.addEventListener("keyup" , passwordCheckHandler);

});


